#!/bin/sh
# SPDX-License-Identifier: MIT

HOSTAPD_CONF="/etc/hostapd/hostapd.conf"
BRIDGE_IF="br_ap"

if [ -e "$HOSTAPD_CONF" ]; then
	info=$(/sbin/ip -o -4 addr list "$BRIDGE_IF" 2> /dev/null | awk '{print $4}')
	for line in $(grep -e ^hw_mode= -e ^channel= -e ^ssid= "$HOSTAPD_CONF")
	do
		val=$(echo "$line" | cut -d= -f2)
		info="$info,$val"
	done
fi

# bridge_addr/netmask,hw_mode,channel,ssid
printf "%s" "$info"
